%define major 1
%define libname %mklibname modplug %{major}
%define develname %mklibname -d modplug

Name:		libmodplug
Summary:	Modplug music player
Version:	0.8.9.0
Release:	%mkrel 1
License:	Public Domain
Group:		System/Libraries
URL:		http://modplug-xmms.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.xz

%description
Olivier Lapicque, author of Modplug, which is arguably the best quality
MOD-playing software available, has placed his sound rendering code in the
public domain.  This library and plugin is based on that code.

It can play 22 different mod formats, including:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

%package -n	%{libname}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n	%{libname}
This is the shared library part of the Modplug music player.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Header files for compiling against Modplug library
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname -d modplug 0
Provides: devel(libmodplug)

%description -n	%{develname}
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%doc README COPYING
%{_libdir}/libmodplug.so.%{major}*

%files -n %{develname}
%doc AUTHORS TODO ChangeLog
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/libmodplug/
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri May 18 2018 adrianomorselli <adrianomorselli> 0.8.9.0-1uplos2018
- update
